Zdeňkovo poznámky

Co zjistím a opakovaně vyheldávám, tak sem zapíšu

Uživatelské nástroje

Nástroje pro tento web


inventor:ilogic

iLogic

Polotovar

Polotovar.iLogicVb
'From https://www.cadlinecommunity.co.uk/hc/admin/articles/203069922
Try
	'oHoldingPositionName = InputBox("Specify the    N A M E    of the new iProperty", "Cadline Community - iProperty Name", "New")
	oValue = InputBox("Specify the    V A L U E    of the new iProperty", "Cadline Community - iProperty Value", "1")
	'iProperties.Value("Custom", oHoldingPositionName) = oValue
	'iProperties.Value("Custom", "POLOTOVAR") = oValue
	iProperties.Value(ThisDrawing.ModelDocument.DisplayName,"Custom", "POLOTOVAR") = oValue
Catch
 
End Try
zzz_Polotovar.iLogicVb
If ThisApplication.ActiveDocument.DocumentType <> kDrawingDocumentObject Then
	MessageBox.Show("Prosím, spustě toto pravidlo nad VÝKRESem", "iLogic")
	Exit Sub
End If
 
'MessageBox.Show("Bylo spuštěno nad výkresem, DĚKUJI", "iLogic")

Try
	oValue = InputBox("Zadej polotovar", "AUTOMA - polotovar", iProperties.Value(ThisDrawing.ModelDocument.DisplayName,"Custom", "POLOTOVAR"))
	iProperties.Value(ThisDrawing.ModelDocument.DisplayName, "Custom", "POLOTOVAR") = oValue
	ThisDoc.Document.Update
Catch
 
End Try
 
'Dim oDrawDoc As DrawingDocument = ThisApplication.ActiveDocument
'Dim oDrawParams As UserParameters = oDrawDoc.Parameters.UserParameters

'Dim TestParam As UserParameter = oDrawParams.AddByValue("TestParam", "InitialValue", UnitsTypeEnum.kTextUnits)
poznamky_nad_razitko.iLogicVb
'iLogic code by Clint Brown @ClintBrown3D
'Originally posted at https://clintbrown.co.uk/Drawing_Notes_iLogic

SetNotePath = "C:\TEMP\Notes.txt"
 
' This assumes a drawing document is active.
Dim oDrawDoc As DrawingDocument
 oDrawDoc = ThisApplication.ActiveDocument
 
'  a reference to the active sheet.
Dim oActiveSheet As Sheet
 oActiveSheet = oDrawDoc.ActiveSheet
 
'  a reference to the GeneralNotes object
Dim oGeneralNotes As GeneralNotes
 oGeneralNotes = oActiveSheet.DrawingNotes.GeneralNotes
 
Dim oTG As TransientGeometry
 oTG = ThisApplication.TransientGeometry
 
'----------READ IN DATA From TEXT File --------------------
oRead = System.IO.File.OpenText(SetNotePath)
EntireFile = oRead.ReadToEnd()
oRead.Close()
Dim sText As String	
sText = EntireFile 
'----------READ IN DATA From TEXT File --------------------

Dim oGeneralNote As GeneralNote
'oGeneralNote = oGeneralNotes.AddFitted(oTG.CreatePoint2d(3, 40), sText) 'Top Left
'oGeneralNote = oGeneralNotes.AddFitted(oTG.CreatePoint2d(50, 40), sText) 'Top Right
oGeneralNote = oGeneralNotes.AddFitted(oTG.CreatePoint2d(50, 8), sText) 'Bottom Right
'oGeneralNote = oGeneralNotes.AddFitted(oTG.CreatePoint2d(3, 6), sText) 'Bottom Left
inventor/ilogic.txt · Poslední úprava: 2021/10/17 06:49 autor: Zdeněk Havlík